Name:           teckit
Version:        2.5.7
Release:        3
Summary:        A library and compiler for mapping and transposition
License:        LGPLv2+ or CPL
URL:            http://scripts.sil.org/teckit
Source0:        https://github.com/silnrsi/teckit/releases/download/v%{version}/teckit-%{version}.tar.gz
BuildRequires:  expat-devel zlib-devel libtool
Patch0000:      TECkit_2_5_1-includes.patch

%description
Resort to this library dedicated to encoding conversions and make sure
the development and testing of mapping tables raises no issues whatsoever.

%package devel
Summary:        Libraries and header files for developing applications that use teckit
Requires:       %{name} = %{version}-%{release}

%description devel
Libraries and header files for developing applications that use teckit.

%package help
Summary:        Help documents for teckit package

%description help
Help documents for teckit package.

%prep
%autosetup -n %{name}-%{version} -p1

rm -r zlib*

%build
%configure --disable-static
%make_build V=1

%install
%make_install
%delete_la

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files
%license COPYING AUTHORS
%license license/{LICENSING.txt,License_CPLv05.txt,License_LGPLv21.txt}
%{_bindir}/{sfconv,teckit_compile,txtconv}
%{_libdir}/{libTECkit.so.*,libTECkit_Compiler.so.*}

%files devel
%{_includedir}/teckit/
%{_libdir}/{libTECkit.so,libTECkit_Compiler.so,pkgconfig/teckit.pc}

%files help
%doc INSTALL NEWS README
%doc docs/*.pdf
%{_mandir}/man1/*

%changelog
* Thu Dec 12 2019 wutao <wutao61@huawei.com> - 2.5.7-3
- Package init
